<script setup lang="ts">
import InputText from "primevue/inputtext";
import type {PreparedVersion} from "@/entities/Repository/PreparedVersion";
import SelectButton from "primevue/selectbutton";
import {useVersionTypeEnumStore} from "@/stores/Enum/VersionTypeEnumStore";

const props = defineProps<{
  preparedVersion: PreparedVersion
}>()

const versionTypeEnumStore = useVersionTypeEnumStore();

</script>

<template>
  <InputText
      v-model="preparedVersion.versionCode"
      placeholder="Code de la nouvelle version"
      required
      autofocus
      minlength=3
      maxlength=10
  />
  <SelectButton
      v-model="preparedVersion.versionType"
      :options="versionTypeEnumStore.versionTypes"
      optionLabel="label"
      modelValue="id"
      dataKey="id"
      :invalid="!preparedVersion.versionType"
      :allowEmpty="false"
  />
</template>